Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2769 - bash dropped core after malloc free list problem
Summary: bash dropped core after malloc free list problem
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: bash
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-12 18:13 UTC by mark
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-07-29 18:53:53 UTC


Attachments (Terms of Use)

Description mark 1999-05-12 18:13:29 UTC
The version of bash currently distributed with 6.0 reported
an error ...

malloc: block on free list clobbered
last command: find / /usr /var -xdev -type f -print | sort |
while read x; do md5 "$x"; done >md5.2
Report this to bash-maintainers@prep.ai.mit.edu
Stopping myself...

... at which point it dropped a core file.  Would the core
file be of any use in helping track down this particular
bug?  If so, I could put it on our FTP server for you to
grab.

PS:  I've reported this to bash-maintainers@prep.ai.mit.edu,
but thought you should be aware as well.

Comment 1 Jeff Johnson 1999-06-05 17:54:59 UTC
Is this problem reproducible? If so, could you reply to this
message with a short script that causes the problem? Otherwise
we're probably not going to be able to fix this.

Thanks.

Comment 2 Michael K. Johnson 1999-07-29 18:53:59 UTC
timeout, please reopen if you have more information, thanks.


Note You need to log in before you can comment on or make changes to this bug.